Bug 1044210 - idl switch does not work
Summary: idl switch does not work
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 22:17 UTC by Nathan Kinder
Modified: 2014-10-28 20:32 UTC (History)
1 user (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-28 20:32:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 22:17:23 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47326

There is a configuration option nsslapd-idl-switch to choose "old" or "new" idl index code and format, but "old" does not work:

- the entryrdn index uses DB flags, which are not available if the db is opened in "old" mode. 
- the switch is always reset to "new"

Comment 2 Noriko Hosoi 2014-10-28 20:32:56 UTC
The old idl is for an internal performance analysis only.

No need to test the feature for the RHEL release.


Note You need to log in before you can comment on or make changes to this bug.